| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::H1Grammar< Iterator, Skipper > Class Template Reference
Inheritance diagram for Gaudi::Parsers::H1Grammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::H1Grammar< Iterator, Skipper >:
[legend]

## Public Types
typedef H1 | ResultT

## Public Member Functions
| H1Grammar ()

## Public Attributes
StringGrammar< Iterator, Skipper > | name
StringGrammar< Iterator, Skipper > | title
EdgeGrammar< Iterator, Skipper > | edges
RealGrammar< Iterator, double, Skipper > | low
RealGrammar< Iterator, double, Skipper > | high
IntGrammar< Iterator, unsigned int, Skipper > | nbins
VectorGrammar< Iterator, std::vector< std::pair< double, double > >, Skipper > | bins
qi::rule< Iterator, H1(), qi::locals< char >, Skipper > | result
qi::rule< Iterator, H1(), Skipper > | inner
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end

## Detailed Description

### template<typename Iterator, typename Skipper>
class Gaudi::Parsers::H1Grammar< Iterator, Skipper >

Definition at line 81 of file HistoParsers.cpp.

## Member Typedef Documentation

## ◆ ResultT

template<typename Iterator , typename Skipper >

typedef H1 Gaudi::Parsers::H1Grammar< Iterator, Skipper >::ResultT

Definition at line 85 of file HistoParsers.cpp.

## Constructor & Destructor Documentation

## ◆ H1Grammar()

template<typename Iterator , typename Skipper >

Gaudi::Parsers::H1Grammar< Iterator, Skipper >::H1Grammar | ( |  | ) |
| inline

Definition at line 89 of file HistoParsers.cpp.

89 : H1Grammar::base_type( result ) {
90 inner = ( ( ( qi::lit( "name" ) | "'name'" | "\"name\"" ) >> ":" >> name[qi::_val *= qi::_1] ) |
91 ( ( qi::lit( "title" ) | "'title'" | "\"title\"" ) >> ":" >> title[qi::_val /= qi::_1] ) |
92 ( -( ( qi::lit( "X" ) | "'X'" | "\"X\"" | "x" | "'x'" | "\"x\"" ) >> ':' ) >>
93 edges[qi::_val &= qi::_1] ) |
94 ( ( qi::lit( "nbins" ) | "'nbins'" | "\"nbins\"" ) >> ":" >> nbins[qi::_val |= qi::_1] ) |
95 ( ( qi::lit( "low" ) | "'low'" | "\"low\"" ) >> ":" >> low[qi::_val -= qi::_1] ) |
96 ( ( qi::lit( "high" ) | "'high'" | "\"high\"" ) >> ":" >> high[qi::_val ^= qi::_1] ) |
97 ( ( qi::lit( "bins" ) | "'bins'" | "\"bins\"" ) >> ':' >> bins[qi::_val += qi::_1] ) ) %
98 ',';
99
100 begin =
101 enc::char_( '[' )[qi::_val = ']'] | enc::char_( '{' )[qi::_val = '}'] | enc::char_( '(' )[qi::_val = ')'];
102 end = enc::char_( qi::_r1 );
103 result = ( begin[qi::_a = qi::_1] >> inner[qi::_val = qi::_1] >> end( qi::_a ) ) | inner;
104 }
Gaudi::Parsers::H1Grammar::begin
qi::rule< Iterator, char()> begin
Definition: HistoParsers.cpp:114
Gaudi::Parsers::H1Grammar::end
qi::rule< Iterator, void(char)> end
Definition: HistoParsers.cpp:115
Gaudi::Parsers::H1Grammar::result
qi::rule< Iterator, H1(), qi::locals< char >, Skipper > result
Definition: HistoParsers.cpp:112
Gaudi::Parsers::H1Grammar::low
RealGrammar< Iterator, double, Skipper > low
Definition: HistoParsers.cpp:108
Gaudi::Parsers::H1Grammar::title
StringGrammar< Iterator, Skipper > title
Definition: HistoParsers.cpp:106
Gaudi::Parsers::H1Grammar::name
StringGrammar< Iterator, Skipper > name
Definition: HistoParsers.cpp:106
Gaudi::Parsers::H1Grammar::bins
VectorGrammar< Iterator, std::vector< std::pair< double, double > >, Skipper > bins
Definition: HistoParsers.cpp:111
Gaudi::Parsers::H1Grammar::inner
qi::rule< Iterator, H1(), Skipper > inner
Definition: HistoParsers.cpp:113
Gaudi::Parsers::H1Grammar::edges
EdgeGrammar< Iterator, Skipper > edges
Definition: HistoParsers.cpp:107
Gaudi::Parsers::H1Grammar::high
RealGrammar< Iterator, double, Skipper > high
Definition: HistoParsers.cpp:108
Gaudi::Parsers::H1Grammar::nbins
IntGrammar< Iterator, unsigned int, Skipper > nbins
Definition: HistoParsers.cpp:109

## Member Data Documentation

## ◆ begin

template<typename Iterator , typename Skipper >

qi::rule<Iterator, char()> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::begin

Definition at line 114 of file HistoParsers.cpp.

## ◆ bins

template<typename Iterator , typename Skipper >

VectorGrammar<Iterator, std::vector<std::pair<double, double> >, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::bins

Definition at line 111 of file HistoParsers.cpp.

## ◆ edges

template<typename Iterator , typename Skipper >

EdgeGrammar<Iterator, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::edges

Definition at line 107 of file HistoParsers.cpp.

## ◆ end

template<typename Iterator , typename Skipper >

qi::rule<Iterator, void( char )> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::end

Definition at line 115 of file HistoParsers.cpp.

## ◆ high

template<typename Iterator , typename Skipper >

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::high

Definition at line 108 of file HistoParsers.cpp.

## ◆ inner

template<typename Iterator , typename Skipper >

qi::rule<Iterator, H1(), Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::inner

Definition at line 113 of file HistoParsers.cpp.

## ◆ low

template<typename Iterator , typename Skipper >

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::low

Definition at line 108 of file HistoParsers.cpp.

## ◆ name

template<typename Iterator , typename Skipper >

StringGrammar<Iterator, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::name

Definition at line 106 of file HistoParsers.cpp.

## ◆ nbins

template<typename Iterator , typename Skipper >

IntGrammar<Iterator, unsigned int, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::nbins

Definition at line 109 of file HistoParsers.cpp.

## ◆ result

template<typename Iterator , typename Skipper >

qi::rule<Iterator, H1(), qi::locals<char>, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::result

Definition at line 112 of file HistoParsers.cpp.

## ◆ title

template<typename Iterator , typename Skipper >

StringGrammar<Iterator, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::title

Definition at line 106 of file HistoParsers.cpp.

The documentation for this class was generated from the following file:

- GaudiUtils/src/Lib/HistoParsers.cpp